#
# spec file for package qtutilities
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2018 Martchus
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define reponame qtutilities
%define soname 6

Name:           %{reponame}
Version:        6.4.0
Release:        1%{?dist} 
Summary:        Common Qt related C++ classes and routines such as dialogs, widgets and models
License:        GPL-2.0-or-later
URL:            https://github.com/Martchus/%{reponame}
Source:         https://github.com/Martchus/%{reponame}/archive/v%{version}/%{reponame}-%{version}.tar.gz
BuildRequires:  cmake >= 3.9
BuildRequires:  c++utilities-devel
BuildRequires:  qt5-qtbase-devel >= 5.6.0
BuildRequires:  qt5-qttools-devel >= 5.6.0
BuildRequires:  pkgconfig

%description
Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models.

%package -n lib%{reponame}%{soname}
Summary:        Common Qt related C++ classes and routines such as dialogs, widgets and models
Group:          System/Libraries

%description -n lib%{reponame}%{soname}
Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models.

%package devel
Summary:        Devel files for %{reponame}
Group:          Development/Libraries/C and C++
Requires:       c++utilities-devel
Requires:       lib%{reponame}%{soname} = %{version}

%description devel
Development files for %{reponame}

%prep
%setup -q -n %{reponame}-%{version}

%build
%cmake \
  -DBUILD_SHARED_LIBS:BOOL=ON \
  -DBUILTIN_TRANSLATIONS:BOOL=ON
%cmake_build

%check
export QT_QPA_PLATFORM=offscreen
export LD_LIBRARY_PATH="$PWD/%{__cmake_builddir}:$LD_LIBRARY_PATH"
%cmake_build --target check

%install
%cmake_install

%files -n lib%{reponame}%{soname}
%license LICENSE
%{_libdir}/lib%{reponame}.so.%{soname}*

%files devel
%doc README.md
%{_includedir}/%{reponame}
%{_datadir}/%{reponame}
%{_libdir}/pkgconfig/%{reponame}.pc
%{_libdir}/lib%{reponame}.so

%changelog
* Wed Apr  7 2021 Marius Kittler <marius.kittler@suse.com>
- Update to 6.4.0
